Bug 105947 - propagating xkb_symbols "ku_ara" change into main stream
Summary: propagating xkb_symbols "ku_ara" change into main stream
Status: RESOLVED FIXED
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: xkb
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-09 08:58 UTC by layik
Modified: 2019-05-14 09:27 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
The requested patch. (1.81 KB, patch)
2018-04-13 23:05 UTC, layik
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description layik 2018-04-09 08:58:30 UTC
I need some help to push a change into the main stream so it can propagate properly into the UNIX main stream.

Since Mr Ronahi's contribution to Kurdish Sorani, there is absolutely little our community has been able to contribute. Since his work, the digits in the Kurdish X11/xkb/symbols/ir's `ir(ku_ara)` is under Alt Graph key and uses Farsi digits which is not used in Sorani. Until CKB gets its "independence" from Farsi.

The standard accepted by the KRG in Iraq published here (I am one of the authors) does stipulate this. http://unicode.ekrg.org/ku_unicodes.html

Could someone please either do the community the favour of committing this change or direct me to push the change into a GIT repo? 

Thank you very much

Dr Layik Hama
www.softcode.co.uk

Summary of changes
1. Replace Farsi digits with 0660 unicode "Arabic" digits
2. Put digits over shift and move "Latin" digits  under shift
3. Tested only on Ubuntu 16.04

From this ====================
    // Digits
    key <AE01> { [ 1,	exclam,		Farsi_1,	grave		] };
    key <AE02> { [ 2,	at, 		Farsi_2,	at		] };
    key <AE03> { [ 3,	numbersign,	Farsi_3,	0x100066b	] };
    key <AE04> { [ 4,	dollar,		Farsi_4, 	0x100fdfc	] };
    key <AE05> { [ 5,	percent,	Farsi_5,	0x100066a	] };
    key <AE06> { [ 6,	asciicircum,	Farsi_6,	multiply	] };
    key <AE07> { [ 7,	ampersand,	Farsi_7, 	Arabic_comma	] };
    key <AE08> { [ 8,	asterisk,	Farsi_8,	enfilledcircbullet	] };
    key <AE09> { [ 9,	parenright,	Farsi_9,	0x100200e	] };
    key <AE10> { [ 0,	parenleft,	Farsi_0,	0x100200f	] };
    key <AE11> { [ minus,		Arabic_tatweel,		underscore	] };
    key <AE12> { [ equal,		plus,			0x1002212	] };

To this   ====================
    // Digits
    key <AE01> { [ 0x1000661,	exclam,		1,	grave		] };
    key <AE02> { [ 0x1000662,	at, 		2,	at		] };
    key <AE03> { [ 0x1000663,	numbersign,	3,	0x100066b	] };
    key <AE04> { [ 0x1000664,	dollar,		4, 	0x100fdfc	] };
    key <AE05> { [ 0x1000665,	percent,	5,	0x100066a	] };
    key <AE06> { [ 0x1000666,	asciicircum,	6,	multiply	] };
    key <AE07> { [ 0x1000667,	ampersand,	7, 	Arabic_comma	] };
    key <AE08> { [ 0x1000668,	asterisk,	8,	enfilledcircbullet	] };
    key <AE09> { [ 0x1000669,	parenright,	9,	0x100200e	] };
    key <AE10> { [ 0x1000660,	parenleft,	0,	0x100200f	] };
    key <AE11> { [ minus,		Arabic_tatweel,		underscore	] };
    key <AE12> { [ equal,		plus,			0x1002212	] };
Comment 1 Alan Coopersmith 2018-04-09 14:47:28 UTC
For information on git repos and how to submit changes to the XKB configuration
files, see https://www.freedesktop.org/wiki/Software/XKeyboardConfig/Development/
Comment 2 layik 2018-04-13 21:41:41 UTC
Thanks Alan, I am able to clone the repo as an "anon" but then sending the commit requires more. I would think not everyone is allowed to "push" is there a "pull request" feature?

Thanks
Comment 3 Alan Coopersmith 2018-04-13 22:00:34 UTC
Sorry, there's no pull request UI at this time.  (Work is in progress on setting
up gitlab for freedesktop.org, but it's not ready yet.)

You'll have to run "git format-patch" and then attach the patch to this
bug report.
Comment 4 layik 2018-04-13 22:47:44 UTC
---
 symbols/ir | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

diff --git a/symbols/ir b/symbols/ir
index 2305049..7aca125 100644
--- a/symbols/ir
+++ b/symbols/ir
@@ -185,16 +185,16 @@ xkb_symbols "ku_ara" {
     key <BKSL> { [ backslash,		bar,			ccedilla, Ccedilla	] };
 
     // Digits
-    key <AE01> { [ 1,	exclam,		Farsi_1,	grave		] };
-    key <AE02> { [ 2,	at, 		Farsi_2,	at		] };
-    key <AE03> { [ 3,	numbersign,	Farsi_3,	0x100066b	] };
-    key <AE04> { [ 4,	dollar,		Farsi_4, 	0x100fdfc	] };
-    key <AE05> { [ 5,	percent,	Farsi_5,	0x100066a	] };
-    key <AE06> { [ 6,	asciicircum,	Farsi_6,	multiply	] };
-    key <AE07> { [ 7,	ampersand,	Farsi_7, 	Arabic_comma	] };
-    key <AE08> { [ 8,	asterisk,	Farsi_8,	enfilledcircbullet	] };
-    key <AE09> { [ 9,	parenright,	Farsi_9,	0x100200e	] };
-    key <AE10> { [ 0,	parenleft,	Farsi_0,	0x100200f	] };
+    key <AE01> { [ 0x1000661,	exclam,		1,	grave		] };
+    key <AE02> { [ 0x1000662,	at, 		2,	at		] };
+    key <AE03> { [ 0x1000663,	numbersign,	3,	0x100066b	] };
+    key <AE04> { [ 0x1000664,	dollar,		4, 	0x100fdfc	] };
+    key <AE05> { [ 0x1000665,	percent,	5,	0x100066a	] };
+    key <AE06> { [ 0x1000666,	asciicircum,	6,	multiply	] };
+    key <AE07> { [ 0x1000667,	ampersand,	7, 	Arabic_comma	] };
+    key <AE08> { [ 0x1000668,	asterisk,	8,	enfilledcircbullet	] };
+    key <AE09> { [ 0x1000669,	parenright,	9,	0x100200e	] };
+    key <AE10> { [ 0x1000660,	parenleft,	0,	0x100200f	] };
     key <AE11> { [ minus,		Arabic_tatweel,		underscore	] };
     key <AE12> { [ equal,		plus,			0x1002212	] };
 
----
Thanks again Alan. I think that is what you meant?
Comment 5 layik 2018-04-13 22:59:28 UTC
Slight correction in original report:

> 2. Put digits over shift and move "Latin" digits  under **Alt Graph**
Comment 6 layik 2018-04-13 23:05:12 UTC
Created attachment 138829 [details] [review]
The requested patch.
Comment 7 Sergey V. Udaltsov 2018-04-22 15:33:16 UTC
Well done! Thanks, committed.
Comment 8 Sia Nariman 2019-05-13 08:31:43 UTC
Hi,
i'm here from xubuntu and the bug still fixed yet as marked above "FIXED".
 X.Org X Server 1.20.1
 X Protocol Version 11, Revision 0
 Build Operating System: Linux 4.4.0-140-generic x86_64 Ubuntu


Regards
Comment 9 Alan Coopersmith 2019-05-13 16:42:08 UTC
https://gitlab.freedesktop.org/xkeyboard-config/xkeyboard-config/commit/645a00f4e106c5ac012a8139cc7f3a01d0aa1b1b
shows this change is in xkeyboard-config 2.24 and later.

If I'm reading https://launchpad.net/ubuntu/+source/xkeyboard-config
correctly, Ubuntu is only shipping 2.23.1 in current releases, so you'll
need to get them to upgrade, or upgrade yourself to the Eoan Ermine 
development release which is showing 2.26.
Comment 10 layik 2019-05-14 09:27:04 UTC
Thanks Sia Nariman and Alan Coopersmith.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.